Package org.eclipse.birt.core.template

# Interface ParserVisitor

All Known Implementing Classes:
  `TemplateParser.ASTVisitor`

public interface ParserVisitor

## Method Summary

Modifier and Type
Method
Description
`Object`
`visit(ASTAttribute node, Object data)`
`Object`
`visit(ASTEbody_content node, Object data)`
`Object`
`visit(ASTImage node, Object data)`
`Object`
`visit(ASTTemplate node, Object data)`
`Object`
`visit(ASTText node, Object data)`
`Object`
`visit(ASTValueOf node, Object data)`
`Object`
`visit(ASTViewTimeValueOf node, Object data)`
`Object`
`visit(SimpleNode node, Object data)`

## Method Details

### visit

Object visit(SimpleNode node, Object data)

### visit

Object visit(ASTAttribute node, Object data)

### visit

Object visit(ASTEbody_content node, Object data)

### visit

Object visit(ASTImage node, Object data)

### visit

Object visit(ASTValueOf node, Object data)

### visit

Object visit(ASTViewTimeValueOf node, Object data)

### visit

Object visit(ASTText node, Object data)

### visit

Object visit(ASTTemplate node, Object data)